Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class BindingEntry

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.SymTabEntry
            |
            +--org.apache.axis.wsdl.symbolTable.BindingEntry

public class BindingEntry
extends SymTabEntry

This class represents a WSDL binding. It encompasses the WSDL4J Binding object so it can reside in the SymbolTable. It also adds a few bits of information that are a nuisance to get from the WSDL4J Binding object: binding type, binding style, input/output/fault body types.

Inner Class Summary
`protected static class` | `BindingEntry.OperationAttr` Contains attributes for Operations - Body type: encoded or literal

Field Summary
`static int` | `STYLE_DOCUMENT`
`static int` | `STYLE_RPC`
`static int` | `TYPE_HTTP_GET`
`static int` | `TYPE_HTTP_POST`
`static int` | `TYPE_SOAP`
`static int` | `TYPE_UNKNOWN`
`static int` | `USE_ENCODED`
`static int` | `USE_LITERAL`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`BindingEntry(javax.wsdl.Binding binding, int bindingType, int bindingStyle, boolean hasLiteral, java.util.HashMap attributes, java.util.Map mimeTypes)` Construct a BindingEntry from a WSDL4J Binding object and the additional binding info: binding type, binding style, whether there is any literal binding, and the attributes which contain the input/output/fault body type information.

Method Summary
`javax.wsdl.Binding` | `getBinding()` Get this entry's WSDL4J Binding object.
`int` | `getBindingStyle()` Get this entry's binding style.
`int` | `getBindingType()` Get this entry's binding type.
`int` | `getFaultBodyType(javax.wsdl.Operation operation, java.lang.String faultName)` Get the fault body type for the given fault of the given operation.
`int` | `getInputBodyType(javax.wsdl.Operation operation)` Get the input body type for the given operation.
`java.lang.String` | `getMIMEType(java.lang.String operationName, java.lang.String parameterName)` Get the mime mapping for the given parameter name.
`java.util.Map` | `getMIMETypes()` Get the MIME types map.
`int` | `getOutputBodyType(javax.wsdl.Operation operation)` Get the output body type for the given operation.
`java.util.HashMap` | `getParameters()` Get all of the parameters for all operations.
`Parameters` | `getParameters(javax.wsdl.Operation operation)` Get the Parameters object for the given operation.
`boolean` | `hasLiteral()` Do any of the message stanzas contain a soap:body which uses literal?
`void` | `setMIMEType(java.lang.String operationName, java.lang.String parameterName, java.lang.String type)` Set the mime mapping for the given parameter name.
`void` | `setParameters(java.util.HashMap parameters)` Set the parameters for all operations

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STYLE_RPC

    public static final int STYLE_RPC

### STYLE_DOCUMENT

    public static final int STYLE_DOCUMENT

### TYPE_SOAP

    public static final int TYPE_SOAP

### TYPE_HTTP_GET

    public static final int TYPE_HTTP_GET

### TYPE_HTTP_POST

    public static final int TYPE_HTTP_POST

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

### USE_ENCODED

    public static final int USE_ENCODED

### USE_LITERAL

    public static final int USE_LITERAL

Constructor Detail

### BindingEntry

    public BindingEntry(javax.wsdl.Binding binding,
                        int bindingType,
                        int bindingStyle,
                        boolean hasLiteral,
                        java.util.HashMap attributes,
                        java.util.Map mimeTypes)

  Construct a BindingEntry from a WSDL4J Binding object and the additional binding info: binding type, binding style, whether there is any literal binding, and the attributes which contain the input/output/fault body type information.

Method Detail

### getParameters

    public Parameters getParameters(javax.wsdl.Operation operation)

  Get the Parameters object for the given operation.

### getParameters

    public java.util.HashMap getParameters()

  Get all of the parameters for all operations.

### setParameters

    public void setParameters(java.util.HashMap parameters)

  Set the parameters for all operations

### getMIMEType

    public java.lang.String getMIMEType(java.lang.String operationName,
                                        java.lang.String parameterName)

  Get the mime mapping for the given parameter name. If there is none, this returns null.

### getMIMETypes

    public java.util.Map getMIMETypes()

  Get the MIME types map.

### setMIMEType

    public void setMIMEType(java.lang.String operationName,
                            java.lang.String parameterName,
                            java.lang.String type)

  Set the mime mapping for the given parameter name.

### getBinding

    public javax.wsdl.Binding getBinding()

  Get this entry's WSDL4J Binding object.

### getBindingType

    public int getBindingType()

  Get this entry's binding type. One of BindingEntry.TYPE_SOAP, BindingEntry.TYPE_HTTP_GET, BindingEntry.TYPE_HTTP_POST.

### getBindingStyle

    public int getBindingStyle()

  Get this entry's binding style. One of BindingEntry.STYLE_RPC, BindingEntry.STYLE_DOCUMENT.

### hasLiteral

    public boolean hasLiteral()

  Do any of the message stanzas contain a soap:body which uses literal?

### getInputBodyType

    public int getInputBodyType(javax.wsdl.Operation operation)

  Get the input body type for the given operation. One of BindingEntry.USE_ENCODED, BindingEntry.USE_LITERAL.

### getOutputBodyType

    public int getOutputBodyType(javax.wsdl.Operation operation)

  Get the output body type for the given operation. One of BindingEntry.USE_ENCODED, BindingEntry.USE_LITERAL.

### getFaultBodyType

    public int getFaultBodyType(javax.wsdl.Operation operation,
                                java.lang.String faultName)

  Get the fault body type for the given fault of the given operation. One of BindingEntry.USE_ENCODED, BindingEntry.USE_LITERAL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.